X-Git-Url: http://xvm.mit.edu/gitweb/invirt/packages/invirt-autoinstaller.git/blobdiff_plain/0d0b6587c5d55462ed4fcae062e492f1cd8cf594..a6b4b67cebc34d1c7915f420e03b39f5ae4b448d:/common/usr/sbin/sipb-xen-create-image

diff --git a/common/usr/sbin/sipb-xen-create-image b/common/usr/sbin/sipb-xen-create-image
index ffba79d..997e12a 100644
--- a/common/usr/sbin/sipb-xen-create-image
+++ b/common/usr/sbin/sipb-xen-create-image
@@ -1,10 +1,13 @@
 #!/bin/bash
 # Usage: no command-line args.
 # "arguments" come in environment:
-#  TARGET a device filename, IMAGESIZE its size in XXXX what unit?
+#  TARGET a device filename
+#  IMAGESIZE the desired filesystem size in megabytes (rest will be swap)
 #  ARCH, DIST, MIRROR
 #  HOSTNAME, IP
 
+set -e
+
 echo ,"${IMAGESIZE}"$',L,*\n,,S\n;\n;' | sfdisk -uM -H 255 -S 63 "$TARGET"
 
 kpartx -a "$TARGET"    # should be no-op in guest